GPG problem performing upgrade


#1

Hi,
While trying to upgrade to the newest versions the online update module aswell as the univention-upgrade scripts fails with error:


open-xchange-oauth-msn open-xchange-subscribe-msn open-xchange-meta-pubsub
open-xchange-push-imapidle open-xchange-meta-oxucs
E: There are problems and -y was used without --force-yes
Error: Failed to execute “apt-get -o DPkg::Options::=–force-confold -o DPkg::Options::=–force-overwrite -o DPkg::Options::=–force-overwrite-dir --trivial-only=no --assume-yes --quiet=1 -u dist-upgrade”
exitcode of univention-updater: 1


The following warnings also were found:


W: GPG error: software.open-xchange.com ./ Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY DD1A5E9CEED949F0

WARNING: The following packages cannot be authenticated!

Please advise

Rolando


#2

Hello,

it seems that you were facing upgrade issues already before… could you please send us an univention-support-info archive as described at sdb article #1182? I would like to have a look at a few system logs to get an idea of the current situation.

Kind regards,
Tim Petersen


#3

Tim,
Here is the file name generated.
Please hand over the following filename to Univention:
upload_yJsrG7.bin

Rolando


#4

Hello,

currently there are problems fetching relevant ox repositories due to a wrong username/password combination for the ox ldb.
Please check this in the ox ldb module. You can try out your username/password by opening the repository in your browser.
If you are not able to login there with your credentials please contact the Open-XChange Support as we are not able to assist you there.

Besides that there also seem to be problems in connection to the UCS repositories. Are you able to reach it?

ping apt.univention.de

Kind regards,
Tim


#5

Tim,
We reset the passwords on the ldb account and on the server. That didn’t resolve the problem


Fetched 133 kB in 10s (12.8 kB/s)
Reading package lists…
W: GPG error: software.open-xchange.com ./ Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY DD1A5E9CEED949F0
W: GPG error: software.open-xchange.com ./ Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY DD1A5E9CEED949F0
W: Duplicate sources.list entry software.open-xchange.com/OX6/OX … xmobility/ ./ Packages (/var/lib/apt/lists/software.open-xchange.com_OX6_OXSEforUCS_3.1_maintained_component_oxmobility_._Packages)
W: Duplicate sources.list entry updates.software-univention.de/3 … component/ 3.1-0-errata/all/ Packages (/var/lib/apt/lists/updates.software-univention.de_3.1_maintained_component_3.1-0-errata_all_Packages)
W: Duplicate sources.list entry updates.software-univention.de/3 … component/ 3.1-0-errata/i386/ Packages (/var/lib/apt/lists/updates.software-univention.de_3.1_maintained_component_3.1-0-errata_i386_Packages)
W: Duplicate sources.list entry appcenter.software-univention.de … component/ oxseforucs/all/ Packages (/var/lib/apt/lists/appcenter.software-univention.de_univention-repository_3.1_maintained_component_oxseforucs_all_Packages)


#ping apt.univention.de
PING apt.univention.de (85.214.27.218) 56(84) bytes of data.
64 bytes from updates.software-univention.de (85.214.27.218): icmp_req=1 ttl=49 time=382 ms
64 bytes from updates.software-univention.de (85.214.27.218): icmp_req=2 ttl=49 time=435 ms
64 bytes from updates.software-univention.de (85.214.27.218): icmp_req=3 ttl=49 time=301 ms
64 bytes from updates.software-univention.de (85.214.27.218): icmp_req=4 ttl=49 time=353 ms
64 bytes from updates.software-univention.de (85.214.27.218): icmp_req=5 ttl=49 time=313 ms


Please advise.

Rolando


#6

Hello,

please send us the output of the following command to determine the current repository values:

ucr seach --brief repository

Attention: Please edit all password / username combinations in the output before attaching as they are listed plaintext there!

Please also have a look at the following files for obvious error messages:

/etc/apt/sources.list.d/*

Please also attach the full output of the following command:

apt-get update

Kind regards,
Tim Petersen


#7

Here are the requested files.

regards,

Rolando
apt.txt (7.98 KB)
ucr.txt (3.05 KB)


#8

Hello,

Did you manage an update at 24.04. ?

I am not so sure what the current status of the system is as there is too much information missing - I would like you to send us a current univention-support-info archive.
I think that will be fastest way to determine.

Kind regards,
Tim Petersen


#9

Tim,
Here is the filename.
upload_hsbM7V.bz2

  Please when diagnosing the problem post the full reason why this happens (what triggers the problem).  From previous experience with UCS,  I have experience difference problems with the sources lists and the upgrade process.

thanks,

Rolando Riley


#10

Hello,

the sources.list entries and the upgrade itself seem to be okay. In fact the problem is indeed that the gpg key for the new ox repositories didn’t get installed.
That’s a bug and will be fixed in an upcoming version, thanks for your feedback! Till that you should be able to disable either secure-apt for updates:

ucr set update/secure_apt=no

or to add the key by hand (you should be able to directly copy and paste):

[code]apt-key add - <<EOF
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v2.0.9 (GNU/Linux)

mQGiBEJfkQ4RBACX+9u2Ss9S2qNDdZ6jBVUzju8Viwgur/jJ0lQuvGT5GPYfjS1m
MMS7NZCho0htlxlTbkb7ozVCbGQ2gDDgPW1EbWG+bcyl76BM79b6L0smtG2KFmJR
C/9BpG8v5mRCj1KdRkbYi3FQceR6VJZmu7MOYtLx8dgdKnswYg1sKS5NNwCgwjJt
XwSM6HHdW81LSnBZmojTdlkEAJei5ENSStM57vU9S28jNXheqAFcP1j/+D2IDLpa
sDBpdIz54SGMYcmdIgHpL/G+/HgPTCh9pbzEoPRk+bgUuZcPVTHqHj1cLb3yOWo7
hLypWngRdENj1wyVGJr9i3SMlp4YXCXG9TpfEFWsBqwR0zB8keANm69SyE02T14X
9qTaA/0bZMBLN2kieFN1IwqrUWGooHkkHYdr2p45CZP0mkA26S0RBmZ43IMrRlS5
eaCOpNEDyRx7dqx61MXcwkcWQuVFmnMg/YaE0XUvy0ta0dwgeW71Tih3mLQOp53Y
FKxppEYAC31yrtCvfLVbgU1Ho6cEICLDwI2UbsGoOGzHbMX+G7Q0UlBNIEJVSUxE
IChPUEVOLVhDSEFOR0UpIDxycG1idWlsZEBvcGVuLXhjaGFuZ2Uub3JnPoheBBMR
AgAeBQJCX5EOAhsDBgsJCAcDAgMVAgMDFgIBAh4BAheAAAoJEN0aXpzu2UnwW84A
n0dM2USHy91ajX7iPctw1Z1QEsEdAKCaKywEPsdgMWxsQyiPkIkq6ucP8YheBBMR
AgAeBQJCX5EOAhsDBgsJCAcDAgMVAgMDFgIBAh4BAheAAAoJEN0aXpzu2UnwW84A
oIzeUHofOsWbL+ctCWxwk4I4qGXvAJ0Z2WPIgSH1T82vdewToMiOWcc3sIhGBBAR
AgAGBQJECEHnAAoJECYDgT/VMvLoBMIAoJB0hhRj075DGEHbBOnwHQYZ7rWeAKCo
WC0b3xUo3iJ0kftXEvDjOUkf2A==
=VluO
-----END PGP PUBLIC KEY BLOCK-----
EOF[/code]

Kind regards,
Tim Petersen


#11

Tim,
Update GPG key on the server. That works! .

thanks,

Rolando